[sword-devel] SWORD 1.6.x v11n

John Austin gpl.programs.info at gmail.com
Mon May 11 07:17:54 MST 2009

I'm working in Central Asia to help provide people here with access to
Bibles in their own languages. We've developed a program called MK
(Muqaddas Kitob) which uses Xulrunner and the Sword engine. But we're
using a fork of Sword-1.5.9 because of v11n incompatibility issues.

Now that the Sword engine is moving toward full support of multiple
verse systems, I would like to ask about adding the Russian Protestant
verse system to the available cannons packaged with Sword 1.6. I already
have a Russian Protestant "canon.h". Is that all that would be needed?
How should I go about applying to have this canon added to the list?

Localization is a separate issue since there are many different
languages in Central Asia alone. However, most translations in this part
of the world do use the Russian verse system, so it might be good to add
native support for it.

John Austin

More information about the sword-devel mailing list